/*******************************************************************************
* File Name: GSMSig.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GSMSig_H) /* Pins GSMSig_H */
#define CY_PINS_GSMSig_H

#include "cytypes.h"
#include "cyfitter.h"
#include "GSMSig_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    GSMSig_Write(uint8 value) ;
void    GSMSig_SetDriveMode(uint8 mode) ;
uint8   GSMSig_ReadDataReg(void) ;
uint8   GSMSig_Read(void) ;
uint8   GSMSig_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define GSMSig_DRIVE_MODE_BITS        (3)
#define GSMSig_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - GSMSig_DRIVE_MODE_BITS))

#define GSMSig_DM_ALG_HIZ         (0x00u)
#define GSMSig_DM_DIG_HIZ         (0x01u)
#define GSMSig_DM_RES_UP          (0x02u)
#define GSMSig_DM_RES_DWN         (0x03u)
#define GSMSig_DM_OD_LO           (0x04u)
#define GSMSig_DM_OD_HI           (0x05u)
#define GSMSig_DM_STRONG          (0x06u)
#define GSMSig_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define GSMSig_MASK               GSMSig__MASK
#define GSMSig_SHIFT              GSMSig__SHIFT
#define GSMSig_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define GSMSig_PS                     (* (reg32 *) GSMSig__PS)
/* Port Configuration */
#define GSMSig_PC                     (* (reg32 *) GSMSig__PC)
/* Data Register */
#define GSMSig_DR                     (* (reg32 *) GSMSig__DR)
/* Input Buffer Disable Override */
#define GSMSig_INP_DIS                (* (reg32 *) GSMSig__PC2)


#if defined(GSMSig__INTSTAT)  /* Interrupt Registers */

    #define GSMSig_INTSTAT                (* (reg32 *) GSMSig__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define GSMSig_DRIVE_MODE_SHIFT       (0x00u)
#define GSMSig_DRIVE_MODE_MASK        (0x07u << GSMSig_DRIVE_MODE_SHIFT)


#endif /* End Pins GSMSig_H */


/* [] END OF FILE */
